<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/AudioInputStream.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">AudioInputStream.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_in_process_s_d_s_8h_source.html">AVSCommon/Utils/SDS/InProcessSDS.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AudioInputStream.h:</div>
<div class="dyncontent">
<div class="center"><img src="_audio_input_stream_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8h">
<area shape="rect" id="node2" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="2098,105,2260,144"/>
<area shape="rect" id="node8" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1313,192,1460,217"/>
<area shape="rect" id="node12" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1056,339,1232,377"/>
<area shape="rect" id="node27" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1229,265,1337,291"/>
<area shape="rect" id="node28" href="_reader_8h.html" title="Reader.h" alt="" coords="1466,265,1542,291"/>
<area shape="rect" id="node32" href="_writer_8h.html" title="Writer.h" alt="" coords="1760,265,1827,291"/>
<area shape="rect" id="node14" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="867,425,1043,464"/>
<area shape="rect" id="node16" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="848,512,1062,551"/>
<area shape="rect" id="node19" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="196,599,372,637"/>
<area shape="rect" id="node20" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="595,512,771,551"/>
<area shape="rect" id="node25" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="227,512,424,551"/>
<area shape="rect" id="node26" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="51,685,227,724"/>
<area shape="rect" id="node21" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="641,599,817,637"/>
<area shape="rect" id="node23" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="595,685,771,724"/>
<area shape="rect" id="node31" href="_reader_policy_8h.html" title="ReaderPolicy.h" alt="" coords="1491,345,1602,371"/>
<area shape="rect" id="node33" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1989,345,2091,371"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_audio_input_stream_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_audio_input_stream_8hdep">
<area shape="rect" id="node2" href="_android_s_l_e_s_buffer_queue_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidSLESBuffer\lQueue.h" alt="" coords="2016,105,2249,184"/>
<area shape="rect" id="node4" href="_android_s_l_e_s_engine_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/src/AndroidSLESEngine.cpp" alt="" coords="1505,352,1791,404"/>
<area shape="rect" id="node6" href="_android_s_l_e_s_microphone_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/test/AndroidSLESMicrophone\lTest.cpp" alt="" coords="1815,345,2108,411"/>
<area shape="rect" id="node8" href="_android_s_l_e_s_buffer_queue_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/test/AndroidSLESBuffer\lQueueTest.cpp" alt="" coords="2143,232,2401,297"/>
<area shape="rect" id="node9" href="_android_s_l_e_s_engine_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidSLESEngine.h" alt="" coords="1225,112,1475,177"/>
<area shape="rect" id="node16" href="_key_word_observer_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/KeyWordObserverInterface.h" alt="" coords="3851,112,4091,177"/>
<area shape="rect" id="node17" href="_e_s_p_data_provider_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ESP/src/ESPDataProvider.cpp" alt="" coords="2425,245,2656,284"/>
<area shape="rect" id="node19" href="_abstract_keyword_detector_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/include/KWD\l/AbstractKeywordDetector.h" alt="" coords="4182,239,4368,291"/>
<area shape="rect" id="node20" href="_kitt_ai_key_word_detector_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/include\l/KittAi/KittAiKeyWordDetector.h" alt="" coords="3800,352,4006,404"/>
<area shape="rect" id="node22" href="_kitt_ai_key_word_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/test\l/KittAiKeyWordDetectorTest.cpp" alt="" coords="3604,459,3815,511"/>
<area shape="rect" id="node23" href="_keyword_detector_provider_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KWDProvider\l/include/KWDProvider/Keyword\lDetectorProvider.h" alt="" coords="4081,345,4288,411"/>
<area shape="rect" id="node25" href="_sensory_keyword_detector_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/include\l/Sensory/SensoryKeywordDetector.h" alt="" coords="4542,352,4781,404"/>
<area shape="rect" id="node27" href="_sensory_keyword_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/test\l/SensoryKeywordDetectorTest.cpp" alt="" coords="4667,459,4893,511"/>
<area shape="rect" id="node29" href="_abstract_keyword_detector_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/test/AbstractKeyword\lDetectorTest.cpp" alt="" coords="4806,352,5017,404"/>
<area shape="rect" id="node30" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="3336,459,3550,511"/>
<area shape="rect" id="node34" href="_media_endpoint_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/include/BlueZ/MediaEndpoint.h" alt="" coords="5211,119,5459,171"/>
<area shape="rect" id="node38" href="_audio_provider_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/include/AIP/AudioProvider.h" alt="" coords="2754,119,2969,171"/>
<area shape="rect" id="node45" href="_e_s_p_data_provider_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ESP/include/ESP\l/ESPDataProvider.h" alt="" coords="2577,119,2730,171"/>
<area shape="rect" id="node46" href="_port_audio_microphone_wrapper_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/PortAudioMicrophone\lWrapper.h" alt="" coords="5649,112,5875,177"/>
<area shape="rect" id="node48" href="_speech_encoder_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SpeechEncoder/include\l/SpeechEncoder/SpeechEncoder.h" alt="" coords="3182,119,3411,171"/>
<area shape="rect" id="node50" href="_speech_encoder_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SpeechEncoder/test\l/SpeechEncoderTest.cpp" alt="" coords="3403,239,3574,291"/>
<area shape="rect" id="node3" href="_android_s_l_e_s_microphone_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/include\l/AndroidUtilities/AndroidSLESMicrophone.h" alt="" coords="1412,232,1690,297"/>
<area shape="rect" id="node7" href="_android_s_l_e_s_buffer_queue_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/src/AndroidSLESBuffer\lQueue.cpp" alt="" coords="1865,232,2120,297"/>
<area shape="rect" id="node5" href="_android_s_l_e_s_microphone_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/AndroidUtilities/src/AndroidSLESMicrophone.cpp" alt="" coords="1167,352,1481,404"/>
<area shape="rect" id="node10" href="_android_s_l_e_s_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESMediaPlayer.h" alt="" coords="866,232,1129,297"/>
<area shape="rect" id="node12" href="_android_s_l_e_s_media_player_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESMediaPlayerTest.cpp" alt="" coords="852,352,1144,404"/>
<area shape="rect" id="node13" href="_android_s_l_e_s_speaker_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/include/AndroidSLESMediaPlayer\l/AndroidSLESSpeaker.h" alt="" coords="426,232,689,297"/>
<area shape="rect" id="node11" href="_android_s_l_e_s_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESMediaPlayer.cpp" alt="" coords="565,352,828,404"/>
<area shape="rect" id="node14" href="_android_s_l_e_s_speaker_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/src/AndroidSLESSpeaker.cpp" alt="" coords="297,352,541,404"/>
<area shape="rect" id="node15" href="_android_s_l_e_s_speaker_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/AndroidSLESMedia\lPlayer/test/AndroidSLESSpeakerTest.cpp" alt="" coords="5,352,273,404"/>
<area shape="rect" id="node18" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="3333,345,3545,411"/>
<area shape="rect" id="node28" href="_abstract_keyword_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/src/AbstractKeyword\lDetector.cpp" alt="" coords="4311,352,4519,404"/>
<area shape="rect" id="node21" href="_kitt_ai_key_word_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KittAi/src/KittAiKey\lWordDetector.cpp" alt="" coords="3839,459,4034,511"/>
<area shape="rect" id="node24" href="_keyword_detector_provider_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/KWDProvider\l/src/KeywordDetectorProvider.cpp" alt="" coords="4073,459,4296,511"/>
<area shape="rect" id="node26" href="_sensory_keyword_detector_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/KWD/Sensory/src\l/SensoryKeywordDetector.cpp" alt="" coords="4443,459,4643,511"/>
<area shape="rect" id="node31" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="2789,559,3012,611"/>
<area shape="rect" id="node32" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="3155,565,3430,604"/>
<area shape="rect" id="node33" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="3454,565,3734,604"/>
<area shape="rect" id="node35" href="_blue_z_a2_d_p_source_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZA2DPSource.cpp" alt="" coords="5581,239,5803,291"/>
<area shape="rect" id="node36" href="_blue_z_device_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/BlueZDeviceManager.cpp" alt="" coords="5091,239,5329,291"/>
<area shape="rect" id="node37" href="_media_endpoint_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/BluetoothImplementations\l/BlueZ/src/MediaEndpoint.cpp" alt="" coords="5353,239,5557,291"/>
<area shape="rect" id="node39" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="2408,345,2635,411"/>
<area shape="rect" id="node41" href="_audio_input_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/include/AIP/AudioInputProcessor.h" alt="" coords="2833,239,3088,291"/>
<area shape="rect" id="node43" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="2660,352,2832,404"/>
<area shape="rect" id="node44" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2856,352,3065,404"/>
<area shape="rect" id="node40" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="2408,459,2636,511"/>
<area shape="rect" id="node42" href="_audio_input_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/src/AudioInputProcessor.cpp" alt="" coords="3089,352,3309,404"/>
<area shape="rect" id="node47" href="_port_audio_microphone_wrapper_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/PortAudio\lMicrophoneWrapper.cpp" alt="" coords="5827,239,6030,291"/>
<area shape="rect" id="node49" href="_speech_encoder_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SpeechEncoder/src\l/SpeechEncoder.cpp" alt="" coords="3213,239,3380,291"/>
</map>
</div>
</div>
<p><a href="_audio_input_stream_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a0e5ba82a4fcf54f83464cb9a9d944e91"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">alexaClientSDK::avsCommon::avs::AudioInputStream</a> = utils::sds::InProcessSDS</td></tr>
<tr class="memdesc:a0e5ba82a4fcf54f83464cb9a9d944e91"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type used store and stream binary data.  <a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">More...</a><br /></td></tr>
<tr class="separator:a0e5ba82a4fcf54f83464cb9a9d944e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
